<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: TDA2Ex BIOS ONLY Performance Report</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">


<h1><a class="anchor" id="TIOVX_PERFORMANCE_TDA2Ex_BIOS">TDA2Ex BIOS ONLY Performance Report </a></h1><table frame="box" rules="all" cellspacing="0" width="50%" border="1" cellpadding="3">
<tr>
<td><p><b> SoC </b> </p>
</td><td><p>TDA2Ex   </p>
</td></tr>
<tr>
<td><p><b> Test EVM </b> </p>
</td><td><p>TDA2Ex TI EVM   </p>
</td></tr>
<tr>
<td><p><b> HOST </b> </p>
</td><td><p>ARM M4 @ 212Mhz running BIOS, L1 Cache Enabled   </p>
</td></tr>
<tr>
<td><p><b> Target </b> </p>
</td><td><p>DSP C66x @ 600Mhz running BIOS, L1/L2 Cache Enabled   </p>
</td></tr>
</table>
<p><br/>
<hr/>
<br/>
</p>
<html>
<head>
  <meta content="text/html; charset=ISO-8859-1" http-equiv="content-type">
  <title>TIOVX Kernel Performance</title>
</head>
<body>
  <table frame="box" rules="all" cellspacing="0" width="50%" border="1" cellpadding="3">
    <tr bgcolor="lightgrey">
<td width="5" align="center"><b>Index</b></td>
<td width="25%" align="center"><b>Kernel</b></td>
<td width="25%" align="center"><b>Variant</b></td>
<td width="20%" align="center"><b>Frame Size (Pixels) </b></td>
<td width="25%" align="center"><b>Graph Performance (msec) </b></td>
<td width="25%" align="center"><b>Node Performance (msec) </b></td>
</tr>
 <tr align="center">
<td>1</td>
<td>Accumulate</td>
<td></td>
<td>640x480  (307200)</td>
<td>   1.182000</td>
<td>   1.45000 </td>
 </tr>
 <tr align="center">
<td>2</td>
<td>AccumulateSquare</td>
<td></td>
<td>640x480  (307200)</td>
<td>   1.206000</td>
<td>   1.67000 </td>
 </tr>
 <tr align="center">
<td>3</td>
<td>AccumulateWeighted</td>
<td></td>
<td>640x480  (307200)</td>
<td>   0.935000</td>
<td>   0.798000</td>
 </tr>
 <tr align="center">
<td>4</td>
<td>Addition</td>
<td>U8+U8=U8</td>
<td>640x480  (307200)</td>
<td>   0.942000</td>
<td>   0.805000</td>
 </tr>
 <tr align="center">
<td>5</td>
<td>Addition</td>
<td>U8+U8=S16</td>
<td>640x480  (307200)</td>
<td>   1.204000</td>
<td>   1.64000 </td>
 </tr>
 <tr align="center">
<td>6</td>
<td>Addition</td>
<td>U8+S16=S16</td>
<td>640x480  (307200)</td>
<td>   1.287000</td>
<td>   1.147000</td>
 </tr>
 <tr align="center">
<td>7</td>
<td>Addition</td>
<td>S16+S16=S16</td>
<td>640x480  (307200)</td>
<td>   1.454000</td>
<td>   1.311000</td>
 </tr>
 <tr align="center">
<td>8</td>
<td>Subtraction</td>
<td>U8-U8=U8</td>
<td>640x480  (307200)</td>
<td>   0.941000</td>
<td>   0.805000</td>
 </tr>
 <tr align="center">
<td>9</td>
<td>Subtraction</td>
<td>U8-U8=S16</td>
<td>640x480  (307200)</td>
<td>   1.189000</td>
<td>   1.56000 </td>
 </tr>
 <tr align="center">
<td>10</td>
<td>Subtraction</td>
<td>S16-U8=S16</td>
<td>640x480  (307200)</td>
<td>   1.293000</td>
<td>   1.153000</td>
 </tr>
 <tr align="center">
<td>11</td>
<td>Subtraction</td>
<td>S16-S16=S16</td>
<td>640x480  (307200)</td>
<td>   1.455000</td>
<td>   1.298000</td>
 </tr>
 <tr align="center">
<td>12</td>
<td>Not Operation</td>
<td>U8</td>
<td>640x480  (307200)</td>
<td>   0.759000</td>
<td>   0.619000</td>
 </tr>
 <tr align="center">
<td>13</td>
<td>And Operation</td>
<td>U8</td>
<td>640x480  (307200)</td>
<td>   0.948000</td>
<td>   0.809000</td>
 </tr>
 <tr align="center">
<td>14</td>
<td>OR Operation</td>
<td>U8</td>
<td>640x480  (307200)</td>
<td>   0.948000</td>
<td>   0.791000</td>
 </tr>
 <tr align="center">
<td>15</td>
<td>XOR Operation</td>
<td>U8</td>
<td>640x480  (307200)</td>
<td>   0.953000</td>
<td>   0.811000</td>
 </tr>
 <tr align="center">
<td>16</td>
<td>Abs Diff</td>
<td>U8</td>
<td>640x480  (307200)</td>
<td>   0.937000</td>
<td>   0.786000</td>
 </tr>
 <tr align="center">
<td>17</td>
<td>Abs Diff</td>
<td>S16</td>
<td>640x480  (307200)</td>
<td>   1.449000</td>
<td>   1.305000</td>
 </tr>
 <tr align="center">
<td>18</td>
<td>Box</td>
<td>3x3</td>
<td>640x480  (307200)</td>
<td>   1.155000</td>
<td>   1.16000 </td>
 </tr>
 <tr align="center">
<td>19</td>
<td>Dilate</td>
<td>3x3</td>
<td>640x480  (307200)</td>
<td>   1.31000 </td>
<td>   0.894000</td>
 </tr>
 <tr align="center">
<td>20</td>
<td>Erode</td>
<td>3x3</td>
<td>640x480  (307200)</td>
<td>   1.28000 </td>
<td>   0.890000</td>
 </tr>
 <tr align="center">
<td>21</td>
<td>Fast Corners</td>
<td>No NMS</td>
<td>640x480  (307200)</td>
<td>  20.816000</td>
<td>  20.651000</td>
 </tr>
 <tr align="center">
<td>22</td>
<td>Canny</td>
<td></td>
<td>640x480  (307200)</td>
<td>   9.82000 </td>
<td>   8.935000</td>
 </tr>
 <tr align="center">
<td>23</td>
<td>Channel Combine</td>
<td>3 to 1 (RGB)</td>
<td>640x480  (307200)</td>
<td>   1.879000</td>
<td>   1.730000</td>
 </tr>
 <tr align="center">
<td>24</td>
<td>Channel Combine</td>
<td>4 to 1 (RGBX)</td>
<td>640x480  (307200)</td>
<td>   2.148000</td>
<td>   1.909000</td>
 </tr>
 <tr align="center">
<td>25</td>
<td>Channel Combine</td>
<td>YUYV</td>
<td>640x480  (307200)</td>
<td>   1.217000</td>
<td>   1.77000 </td>
 </tr>
 <tr align="center">
<td>26</td>
<td>Channel Combine</td>
<td>2 to 1 (NV12)</td>
<td>640x480  (307200)</td>
<td>   0.869000</td>
<td>   0.728000</td>
 </tr>
 <tr align="center">
<td>27</td>
<td>Channel Extract</td>
<td>1 of 3 (RGB)</td>
<td>640x480  (307200)</td>
<td>   1.92000 </td>
<td>   0.956000</td>
 </tr>
 <tr align="center">
<td>28</td>
<td>Channel Extract</td>
<td>1 of 4 (RGBX)</td>
<td>640x480  (307200)</td>
<td>   1.291000</td>
<td>   1.124000</td>
 </tr>
 <tr align="center">
<td>29</td>
<td>Color Convert</td>
<td>RGB=>RGBX</td>
<td>640x480  (307200)</td>
<td>   1.740000</td>
<td>   1.595000</td>
 </tr>
 <tr align="center">
<td>30</td>
<td>Color Convert</td>
<td>RGB=>NV12</td>
<td>640x480  (307200)</td>
<td>   2.952000</td>
<td>   2.808000</td>
 </tr>
 <tr align="center">
<td>31</td>
<td>Color Convert</td>
<td>RGB=>IYUV</td>
<td>640x480  (307200)</td>
<td>   3.227000</td>
<td>   3.80000 </td>
 </tr>
 <tr align="center">
<td>32</td>
<td>Color Convert</td>
<td>RGB=>YUV4</td>
<td>640x480  (307200)</td>
<td>   1.752000</td>
<td>   1.612000</td>
 </tr>
 <tr align="center">
<td>33</td>
<td>Color Convert</td>
<td>RGBX=>RGB</td>
<td>640x480  (307200)</td>
<td>   1.691000</td>
<td>   1.551000</td>
 </tr>
 <tr align="center">
<td>34</td>
<td>Color Convert</td>
<td>RGBX=>NV12</td>
<td>640x480  (307200)</td>
<td>   3.5000  </td>
<td>   2.858000</td>
 </tr>
 <tr align="center">
<td>35</td>
<td>Color Convert</td>
<td>RGBX=>IYUV</td>
<td>640x480  (307200)</td>
<td>   3.277000</td>
<td>   3.137000</td>
 </tr>
 <tr align="center">
<td>36</td>
<td>Color Convert</td>
<td>RGBX=>YUV4</td>
<td>640x480  (307200)</td>
<td>   1.844000</td>
<td>   1.705000</td>
 </tr>
 <tr align="center">
<td>37</td>
<td>Color Convert</td>
<td>NVXX=>RGB</td>
<td>640x480  (307200)</td>
<td>   2.495000</td>
<td>   2.355000</td>
 </tr>
 <tr align="center">
<td>38</td>
<td>Color Convert</td>
<td>NVXX=>RGBX</td>
<td>640x480  (307200)</td>
<td>   2.580000</td>
<td>   2.440000</td>
 </tr>
 <tr align="center">
<td>39</td>
<td>Color Convert</td>
<td>NVXX=>IYUV</td>
<td>640x480  (307200)</td>
<td>   1.15000 </td>
<td>   0.869000</td>
 </tr>
 <tr align="center">
<td>40</td>
<td>Color Convert</td>
<td>NVXX=>YUV4</td>
<td>640x480  (307200)</td>
<td>   1.448000</td>
<td>   1.298000</td>
 </tr>
 <tr align="center">
<td>41</td>
<td>Color Convert</td>
<td>YUVX=>RGB</td>
<td>640x480  (307200)</td>
<td>   2.597000</td>
<td>   2.448000</td>
 </tr>
 <tr align="center">
<td>42</td>
<td>Color Convert</td>
<td>YUVX=>RGBX</td>
<td>640x480  (307200)</td>
<td>   2.784000</td>
<td>   2.634000</td>
 </tr>
 <tr align="center">
<td>43</td>
<td>Color Convert</td>
<td>YUVX=>NV12</td>
<td>640x480  (307200)</td>
<td>   1.126000</td>
<td>   0.984000</td>
 </tr>
 <tr align="center">
<td>44</td>
<td>Color Convert</td>
<td>YUVX=>IYUV</td>
<td>640x480  (307200)</td>
<td>   1.205000</td>
<td>   1.49000 </td>
 </tr>
 <tr align="center">
<td>45</td>
<td>Color Convert</td>
<td>IYUV=>RGB</td>
<td>640x480  (307200)</td>
<td>   2.394000</td>
<td>   2.255000</td>
 </tr>
 <tr align="center">
<td>46</td>
<td>Color Convert</td>
<td>IYUV=>RGBX</td>
<td>640x480  (307200)</td>
<td>   2.386000</td>
<td>   2.241000</td>
 </tr>
 <tr align="center">
<td>47</td>
<td>Color Convert</td>
<td>IYUV=>NV12</td>
<td>640x480  (307200)</td>
<td>   1.53000 </td>
<td>   0.917000</td>
 </tr>
 <tr align="center">
<td>48</td>
<td>Color Convert</td>
<td>IYUV=>YUV4</td>
<td>640x480  (307200)</td>
<td>   1.586000</td>
<td>   1.301000</td>
 </tr>
 <tr align="center">
<td>49</td>
<td>Convert Depth</td>
<td>U8 to S16</td>
<td>640x480  (307200)</td>
<td>   1.4000  </td>
<td>   0.868000</td>
 </tr>
 <tr align="center">
<td>50</td>
<td>Convolution</td>
<td>3x3, O: U8</td>
<td>640x480  (307200)</td>
<td>   1.520000</td>
<td>   1.376000</td>
 </tr>
 <tr align="center">
<td>51</td>
<td>Convolution</td>
<td>3x3, O: S16</td>
<td>640x480  (307200)</td>
<td>   1.963000</td>
<td>   1.652000</td>
 </tr>
 <tr align="center">
<td>52</td>
<td>Convolution</td>
<td>9x3, O: U8</td>
<td>640x480  (307200)</td>
<td>  54.188000</td>
<td>  54.23000 </td>
 </tr>
 <tr align="center">
<td>53</td>
<td>Convolution</td>
<td>9x3, O: S16</td>
<td>640x480  (307200)</td>
<td>  51.37000 </td>
<td>  50.884000</td>
 </tr>
 <tr align="center">
<td>54</td>
<td>Convolution</td>
<td>3x9, O: U8</td>
<td>640x480  (307200)</td>
<td>  55.928000</td>
<td>  55.780000</td>
 </tr>
 <tr align="center">
<td>55</td>
<td>Convolution</td>
<td>3x9, O: S16</td>
<td>640x480  (307200)</td>
<td>  60.567000</td>
<td>  60.405000</td>
 </tr>
 <tr align="center">
<td>56</td>
<td>Convolution</td>
<td>5x5, O: U8</td>
<td>640x480  (307200)</td>
<td>   3.197000</td>
<td>   3.47000 </td>
 </tr>
 <tr align="center">
<td>57</td>
<td>Convolution</td>
<td>5x5, O: S16</td>
<td>640x480  (307200)</td>
<td>   3.605000</td>
<td>   3.468000</td>
 </tr>
 <tr align="center">
<td>58</td>
<td>Convolution</td>
<td>7x7, O: U8</td>
<td>640x480  (307200)</td>
<td>   6.395000</td>
<td>   6.256000</td>
 </tr>
 <tr align="center">
<td>59</td>
<td>Convolution</td>
<td>7x7, O: S16</td>
<td>640x480  (307200)</td>
<td>   6.736000</td>
<td>   6.590000</td>
 </tr>
 <tr align="center">
<td>60</td>
<td>Convolution</td>
<td>9x9, O: U8</td>
<td>640x480  (307200)</td>
<td>  97.945000</td>
<td>  97.805000</td>
 </tr>
 <tr align="center">
<td>61</td>
<td>Convolution</td>
<td>9x9, O: S16</td>
<td>640x480  (307200)</td>
<td> 102.988000</td>
<td> 102.838000</td>
 </tr>
 <tr align="center">
<td>62</td>
<td>Equalize Histogram</td>
<td></td>
<td>640x480  (307200)</td>
<td>   1.752000</td>
<td>   1.611000</td>
 </tr>
 <tr align="center">
<td>63</td>
<td>Gaussian</td>
<td>3x3</td>
<td>640x480  (307200)</td>
<td>   1.76000 </td>
<td>   0.942000</td>
 </tr>
 <tr align="center">
<td>64</td>
<td>Gaussian Pyramid</td>
<td></td>
<td>640x480  (307200)</td>
<td>  14.55000 </td>
<td>  13.892000</td>
 </tr>
 <tr align="center">
<td>65</td>
<td>Half Scale Gaussian Pyramid</td>
<td></td>
<td>640x480  (307200)</td>
<td>   1.589000</td>
<td>   1.439000</td>
 </tr>
 <tr align="center">
<td>66</td>
<td>Harris Corners</td>
<td></td>
<td>640x480  (307200)</td>
<td>  28.265000</td>
<td>  28.108000</td>
 </tr>
 <tr align="center">
<td>67</td>
<td>Histogram</td>
<td>U8</td>
<td>640x480  (307200)</td>
<td>   1.65000 </td>
<td>   0.924000</td>
 </tr>
 <tr align="center">
<td>68</td>
<td>Integral Image</td>
<td></td>
<td>640x480  (307200)</td>
<td>   1.908000</td>
<td>   1.756000</td>
 </tr>
 <tr align="center">
<td>69</td>
<td>Laplacian Pyramid</td>
<td>U8; Levels = 6</td>
<td>640x480  (307200)</td>
<td>  10.501000</td>
<td>  10.347000</td>
 </tr>
 <tr align="center">
<td>70</td>
<td>Laplacian Reconstruct</td>
<td>U8</td>
<td>640x480  (307200)</td>
<td>  13.291000</td>
<td>  13.130000</td>
 </tr>
 <tr align="center">
<td>71</td>
<td>LookUpTable</td>
<td>S16</td>
<td>640x480  (307200)</td>
<td>   1.365000</td>
<td>   1.220000</td>
 </tr>
 <tr align="center">
<td>72</td>
<td>Magnitude</td>
<td>S16</td>
<td>640x480  (307200)</td>
<td>   4.281000</td>
<td>   4.102000</td>
 </tr>
 <tr align="center">
<td>73</td>
<td>Mean/Standard Deviation</td>
<td>U8</td>
<td>640x480  (307200)</td>
<td>   0.573000</td>
<td>   0.434000</td>
 </tr>
 <tr align="center">
<td>74</td>
<td>Median</td>
<td>3x3</td>
<td>640x480  (307200)</td>
<td>   1.296000</td>
<td>   1.143000</td>
 </tr>
 <tr align="center">
<td>75</td>
<td>Min Max Loc</td>
<td>U8</td>
<td>640x480  (307200)</td>
<td>   1.61000 </td>
<td>   0.916000</td>
 </tr>
 <tr align="center">
<td>76</td>
<td>Multiply</td>
<td>U8 x U8 = U8</td>
<td>640x480  (307200)</td>
<td>   0.971000</td>
<td>   0.819000</td>
 </tr>
 <tr align="center">
<td>77</td>
<td>Multiply</td>
<td>U8 x U8 = S16</td>
<td>640x480  (307200)</td>
<td>   1.187000</td>
<td>   1.47000 </td>
 </tr>
 <tr align="center">
<td>78</td>
<td>Multiply</td>
<td>U8 x S16 = S16</td>
<td>640x480  (307200)</td>
<td>   1.305000</td>
<td>   1.154000</td>
 </tr>
 <tr align="center">
<td>79</td>
<td>Multiply</td>
<td>S16 x S16 = S16</td>
<td>640x480  (307200)</td>
<td>   1.449000</td>
<td>   1.301000</td>
 </tr>
 <tr align="center">
<td>80</td>
<td>NonLinear Filter</td>
<td>mask=5x5; Erosion</td>
<td>640x480  (307200)</td>
<td>   3.875000</td>
<td>   3.733000</td>
 </tr>
 <tr align="center">
<td>81</td>
<td>NonLinear Filter</td>
<td>mask=5x5; Dilation</td>
<td>640x480  (307200)</td>
<td>   3.880000</td>
<td>   3.735000</td>
 </tr>
 <tr align="center">
<td>82</td>
<td>NonLinear Filter</td>
<td>mask=5x5; Median</td>
<td>640x480  (307200)</td>
<td>  46.751000</td>
<td>  46.605000</td>
 </tr>
 <tr align="center">
<td>83</td>
<td>Optical Flow</td>
<td>5x5</td>
<td>640x480  (307200)</td>
<td>   7.922000</td>
<td>   7.756000</td>
 </tr>
 <tr align="center">
<td>84</td>
<td>Phase</td>
<td></td>
<td>640x480  (307200)</td>
<td>   4.418000</td>
<td>   4.271000</td>
 </tr>
 <tr align="center">
<td>85</td>
<td>Remap</td>
<td>Bilinear Interpolation</td>
<td>*640x480  (307200)</td>
<td>  12.722000</td>
<td>  12.579000</td>
 </tr>
 <tr align="center">
<td>86</td>
<td>Remap</td>
<td>Nearest Neighbor</td>
<td>*640x480  (307200)</td>
<td>   9.944000</td>
<td>   9.797000</td>
 </tr>
 <tr align="center">
<td>87</td>
<td>Scale Image</td>
<td>1 to 2; Nearest Neighbor</td>
<td>*640x480  (307200)</td>
<td>   1.393000</td>
<td>   1.244000</td>
 </tr>
 <tr align="center">
<td>88</td>
<td>Scale Image</td>
<td>1 to 2; Bilinear Interpolation</td>
<td>*640x480  (307200)</td>
<td>   5.259000</td>
<td>   5.100000</td>
 </tr>
 <tr align="center">
<td>89</td>
<td>Sobel</td>
<td>3x3</td>
<td>640x480  (307200)</td>
<td>   1.734000</td>
<td>   1.599000</td>
 </tr>
 <tr align="center">
<td>90</td>
<td>Threshold</td>
<td>Binary</td>
<td>640x480  (307200)</td>
<td>   0.758000</td>
<td>   0.618000</td>
 </tr>
 <tr align="center">
<td>91</td>
<td>Warp Affine</td>
<td>Nearest Neighbor</td>
<td>*640x480  (307200)</td>
<td>   0.799000</td>
<td>   0.650000</td>
 </tr>
 <tr align="center">
<td>92</td>
<td>Warp Affine</td>
<td>Bilinear Interpolation</td>
<td>*640x480  (307200)</td>
<td>   1.606000</td>
<td>   1.460000</td>
 </tr>
 <tr align="center">
<td>93</td>
<td>Warp Pespective</td>
<td>Nearest Neighbor</td>
<td>*640x480  (307200)</td>
<td>   1.14000 </td>
<td>   0.866000</td>
 </tr>
 <tr align="center">
<td>94</td>
<td>Warp Pespective</td>
<td>Bilinear Interpolation</td>
<td>*640x480  (307200)</td>
<td>   2.61000 </td>
<td>   1.917000</td>
 </tr>
</table>
</body>
</html>
<p>Footnote 1: All optional parameters for relevant kernels are used<p><p>Footnote 2: All image sizes are for input parameters unless noted with an asterisk (*) in which case these are the output parameter sizes<p>
 </div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
